# ki-frontend

[![Build Status](https://drone.wtf-eg.de/api/badges/kompetenzinventar/ki-frontend/status.svg)](https://drone.wtf-eg.de/kompetenzinventar/ki-frontend)

Vue3 Projekt: 

## Project setup
```
npm ci
```

### Konfigurationsdatei anpassen

```
cp public/config.js.dev public/config.js
vi public/config.js
```


### Compiles and hot-reloads for development
```
npm run serve
```

### Compiles and minifies for production
```
npm run build
```

### Lints and fixes files
```
npm run lint
```

### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).

Vorraussetzung: Node & NPM


## Docker

### Image bauen

```
docker build --target ki-frontend --tag ki_frontend .
```


### Container starten

```
docker run \
    --name=ki_frontend \
    -v ${PWD}/public/config.js:/user/share/nginx/html/config.js \
    -p 8000:80 \
    ki_frontend
```
